# Uses of Interface org.bukkit.conversations.Conversable (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.conversations, interface: Conversable

# Uses of Interface
org.bukkit.conversations.Conversable

Packages that use Conversable
Package
Description
org.bukkit.command
Classes relating to handling specialized non-chat player input.
org.bukkit.conversations
Classes dedicated to facilitate direct player-to-plugin communication.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Conversable in org.bukkit.command

Subinterfaces of Conversable in org.bukkit.command
Modifier and Type
Interface
Description
`interface`
`ConsoleCommandSender`

## Uses of Conversable in org.bukkit.conversations

Methods in org.bukkit.conversations that return Conversable
Modifier and Type
Method
Description
`@NotNull Conversable`
Conversation.`getForWhom()`
Gets the entity for whom this conversation is mediating.
`@NotNull Conversable`
ConversationContext.`getForWhom()`
Gets the subject of the conversation.
Methods in org.bukkit.conversations with parameters of type Conversable
Modifier and Type
Method
Description
`@NotNull Conversation`
ConversationFactory.`buildConversation(@NotNull Conversable forWhom)`
Constructs a `Conversation` in accordance with the defaults set for this factory.
Constructors in org.bukkit.conversations with parameters of type Conversable
Modifier
Constructor
Description
``
`Conversation(@Nullable Plugin plugin, @NotNull Conversable forWhom, @Nullable Prompt firstPrompt)`
Initializes a new Conversation.
``
`Conversation(@Nullable Plugin plugin, @NotNull Conversable forWhom, @Nullable Prompt firstPrompt, @NotNull Map<Object,Object> initialSessionData)`
Initializes a new Conversation.
``
`ConversationContext(@Nullable Plugin plugin, @NotNull Conversable forWhom, @NotNull Map<Object,Object> initialSessionData)`

## Uses of Conversable in org.bukkit.entity

Subinterfaces of Conversable in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`Player`
Represents a player, connected or not